net.sourceforge.pmd

## Class Report.RuleConfigurationError

- java.lang.Object
- - net.sourceforge.pmd.Report.RuleConfigurationError

- Enclosing class:
    Report

      public static class Report.RuleConfigurationError
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Report.RuleConfigurationError(Rule theRule, String theIssue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `issue()`
    `Rule` | `rule()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Report.RuleConfigurationError

          public Report.RuleConfigurationError(Rule theRule,
                                       String theIssue)

  - ### Method Detail

    - #### rule

          public Rule rule()

    - #### issue

          public String issue()

Copyright © 2002-2013 InfoEther. All Rights Reserved.